Bug 474009 - crash (?) in firstboot if hit cancel in "Contacting NTP servers..." dialog
crash (?) in firstboot if hit cancel in "Contacting NTP servers..." dialog
Status: CLOSED DUPLICATE of bug 648050
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 14:10 EST by Lev Shamardin
Modified: 2013-07-04 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:05:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2008-12-01 14:10:43 EST
Description of problem:
If you try to setup NTP during firstboot without a working network connection (which is the case for encrypted wireless, for example) and hit "Cancel" instead of waiting for "Contacting NTP servers..." dialog to time out firstboot dies or does something similar: it leaves you with a blank screen with a mouse cursor, all you can do is reboot the machine with Ctrl-Alt-F1 + Ctrl-Alt-Del.

Version-Release number of selected component (if applicable):
firstboot-1.102-1.fc10.i386

How reproducible:
always?

Steps to Reproduce:
1. install a fresh fedora system
2. try to hit cancel in the mentioned dialog box without network.
  
Actual results:
Emptry screen with a mouse cursor.

Expected results:
The perfect solution would be a checkbox "don't synchronize time now". A less-perfect solution would be just not to crash.

Additional info:
https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00047.html
Comment 1 Bug Zapper 2009-11-18 02:47:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lev Shamardin 2009-12-01 08:10:04 EST
Still reproducible in Fedora 12.
Comment 3 Bug Zapper 2010-11-04 07:38:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-05 02:05:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Nils Philippsen 2010-12-06 05:35:59 EST
For one reason or another, this only happens when started under firstboot, the error is as follows on F-14:

nils@f14-x86:~> sudo firstboot --reconfig
Loading /lib/kbd/keymaps/i386/qwertz/de-latin1-nodeadkeys.map.gz
Loading /lib/kbd/keymaps/i386/qwertz/de-latin1-nodeadkeys.map.gz
python2: xcb_io.c:221: poll_for_event: Assertion `(((long) (event_sequence) - (long) (dpy->request)) <= 0)' failed.
python2: xcb_io.c:221: poll_for_event: Assertion `(((long) (event_sequence) - (long) (dpy->request)) <= 0)' failed.

This looks a lot like bug #648050, closing as duplicate.

*** This bug has been marked as a duplicate of bug 648050 ***

Note You need to log in before you can comment on or make changes to this bug.